Skip to main content

Get a customer deletion status

POST /v2/compliance/customers/deletion/status

Validates and retrieves the status of a customer deletion request. You can check whether a deletion request has been processed and find out the current status of the deletion.

Security​

NameInDescription
AuthorizationheaderThe Authorization header with the bearer token acquired during authentication.

Request​

FieldTypeRequiredDescription
identifiersArray(string)Required

Array of customer identifiers to validate.

identifier_typestringOptional

Type of identifier: 'email' (default) or 'provider_uid'.

Request Examples​

curl --request POST \
--url https://connect.instacart.com/v2/compliance/customers/deletion/status \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"identifiers": [
"string"
],
"identifier_type": "email"
}'

Response​

FieldTypeRequiredDescription
resultsArray(undefined)Optional

Array of deletion status results for each identifier.

summaryHashOptional

Summary statistics including total, completed, and pending counts.

Response Examples​

200 Success

{
"results": [
{
"identifier": "test1@user.com",
"status": "pending"
},
{
"identifier": "test2@user.com",
"status": "pending"
},
{
"identifier": "test3@user.com",
"status": "completed"
}
],
"summary": {
"total": 3,
"completed": 1,
"pending": 2
}
}

4XX Errors

Error responses return either a single error or multiple errors.

HTTP CodeCauseError MessageError CodeError Meta
400Invalid request parameters*"There were issues with your request"9999Not applicable
400Feature not enabled"Feature not enabled for this client"1001{"key":"feature_flag"}
* Multiple error